# MetaElement< algebra::SemigroupBase< Self >, T > Struct Template Reference
[Semigroup]

Services of every element of a semigroup. More...

Inheritance diagram for MetaElement< algebra::SemigroupBase< Self >, T >:
[legend]

List of all members.

## Protected Member Functions

| MetaElement ()
| Protected since it is an abstract class.
| MetaElement (const MetaElement &other)
| Protected since it is an abstract class.

## Detailed Description

### template<class Self, typename T>
struct vcsn::MetaElement< algebra::SemigroupBase< Self >, T >

Services of every element of a semigroup.

Definition at line 82 of file semigroup_base.hh.